import { system, world } from "@minecraft/server";

world.afterEvents.playerBreakBlock.subscribe((blockEvent) => {
  let p = blockEvent.player;
  let block = blockEvent.block;

  let pickaxe;

  let location = [
    blockEvent.block.location.x,
    blockEvent.block.location.y,
    blockEvent.block.location.z
    ];

  let container = p.getComponent("inventory").container;
  let hand = container.getItem(p.selectedSlot);

  if (hand.typeId == "minecraft:diamond_pickaxe" && p.isSneaking == true) {
    pickaxe = p.dimension.spawnEntity("new:pickaxe", {
      x: location[0], 
      y: location[1],
      z: location[2]
    });
    pickaxe.runCommandAsync(`function diamond_function`);
    p.runCommandAsync(`playsound random.pickaxe @s ~~~ 4 1 4`);
  }
  if (hand.typeId == "minecraft:netherite_pickaxe" && p.isSneaking == true) {
    pickaxe = p.dimension.spawnEntity("new:pickaxe", {
      x: location[0], 
      y: location[1],
      z: location[2]
    });
    pickaxe.runCommandAsync(`function diamond_function`);
    p.runCommandAsync(`playsound random.pickaxe @s ~~~ 4 1 4`);
  }
  if (hand.typeId == "minecraft:iron_pickaxe" && p.isSneaking == true) {
    pickaxe = p.dimension.spawnEntity("new:pickaxe", {
      x: location[0], 
      y: location[1],
      z: location[2]
    });
    pickaxe.runCommandAsync(`function iron_function`);
    p.runCommandAsync(`playsound random.pickaxe @s ~~~ 4 1 4`);
  }
  if (hand.typeId == "minecraft:golden_pickaxe" && p.isSneaking == true) {
    pickaxe = p.dimension.spawnEntity("new:pickaxe", {
      x: location[0], 
      y: location[1],
      z: location[2]
    });
    pickaxe.runCommandAsync(`function wood_function`);
    p.runCommandAsync(`playsound random.pickaxe @s ~~~ 4 1 4`);
  }
  if (hand.typeId == "minecraft:wooden_pickaxe" && p.isSneaking == true) {
    pickaxe = p.dimension.spawnEntity("new:pickaxe", {
      x: location[0], 
      y: location[1],
      z: location[2]
    });
    pickaxe.runCommandAsync(`function wood_function`);
    p.runCommandAsync(`playsound random.pickaxe @s ~~~ 4 1 4`);
  }
  if (hand.typeId == "minecraft:stone_pickaxe" && p.isSneaking == true) {
    pickaxe = p.dimension.spawnEntity("new:pickaxe", {
      x: location[0], 
      y: location[1],
      z: location[2]
    });
    pickaxe.runCommandAsync(`function stone_function`);
    p.runCommandAsync(`playsound random.pickaxe @s ~~~ 4 1 4`);
  }

});
